> For the complete documentation index, see [llms.txt](https://docs.racemap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.racemap.com/api/geo-elements.md).

# \*/geo, geo elements

### Request

**URL** `https://racemap.com/api/events/:eventId/geo`\
**Method** GET

**Sample** <https://racemap.com/api/events/61a2055b10cacc0001302283/geo>\
Corresponding map <https://racemap.com/player/100KmDuathlon2018>

#### Options

{% tabs %}
{% tab title="splits" %}
API provides only the splits of one tracking map.\
Sample: [https://racemap.com/api/events/61a2055b10cacc0001302283/geo/**splits**](https://racemap.com/api/events/61a2055b10cacc0001302283/geo/splits)
{% endtab %}

{% tab title="shadow\.json" %}
API provides the shadow track and the splits of one tracking map.\
Sample: [https://racemap.com/api/events/61a2055b10cacc0001302283/geo/**shadow.json**](https://racemap.com/api/events/61a2055b10cacc0001302283/geo/shadow.json)
{% endtab %}
{% endtabs %}

### Response

(\*) parameters related to splits, only

(\*\*) parameters related to POIs and splits

#### Geo element object

<table><thead><tr><th width="225.7583408476105">Field</th><th width="277.9718253321284">Description [unit]</th><th>Sample</th><th data-hidden>line</th></tr></thead><tbody><tr><td><code>racemapType</code></td><td>Definition of geo element</td><td><code>"track"</code> or <code>"split"</code> or <code>"poi"</code></td><td>3</td></tr><tr><td><code>eventId</code></td><td>Unique id of tracking map</td><td><code>"61a2055b10cacc0001302283"</code></td><td>4</td></tr><tr><td><code>name</code></td><td>Name of geo element provided in map settings</td><td><code>"Track 0"</code> or <code>"Marathon"</code></td><td>5</td></tr><tr><td><code>shortName</code> **</td><td>Short name of POI or split</td><td><code>"VP01"</code> or <code>"Cam2"</code></td><td></td></tr><tr><td><code>color</code></td><td>Color of geo element, hex code</td><td><code>"#ffffff"</code> or <code>"#32c4f7"</code></td><td>6</td></tr><tr><td><code>hidden</code></td><td>Visibility in tracking map</td><td><code>true</code> or <code>false</code></td><td>7</td></tr><tr><td><code>icon</code> **</td><td>URL of image</td><td><code>"https://static-cdn.racemap.com/img/map-icons/finish-01_borderless.svg"</code></td><td></td></tr><tr><td><code>timekeeping</code> *</td><td>Split in leaderboard or geofence in */time API</td><td><code>true</code> or <code>false</code></td><td></td></tr><tr><td><code>readerIds</code> **</td><td>IDs of decoders, arrey of strings</td><td><code>[]</code> or <code>[ "U001", "U003" ]</code></td><td></td></tr><tr><td><code>newSport</code> *</td><td>Start of a new segment, definition of type of sport</td><td><code>"running"</code></td><td></td></tr><tr><td><code>lineStringId</code> *</td><td>Id of the track to which this split is associated.</td><td><code>"64514d7ec3ab09659eb29e71"</code></td><td></td></tr><tr><td><code>coordinateIndex</code></td><td>Number of the coordinate of the track to which the split is assigned.</td><td><code>253</code> or <code>12</code></td><td></td></tr><tr><td><code>creatorId</code></td><td>User id of the event host</td><td><code>"51782b0cd37706937400000d"</code></td><td>8</td></tr><tr><td><code>length</code></td><td>Length of the track in km</td><td><code>99.50403889646452</code></td><td>10</td></tr><tr><td><code>pointCount</code></td><td>Number of points of the track</td><td><code>1192</code></td><td>11</td></tr><tr><td><code>offset</code> *</td><td>Length [m] on which the split is set on the track</td><td><code>19029.765609128</code></td><td></td></tr><tr><td><code>resetSpeed</code> **</td><td>Velocity [km/h] used for prediction</td><td><code>null</code> or <code>1.5</code> or <code>60</code></td><td></td></tr><tr><td><code>minSpeed</code> **</td><td>Velocity [km/h] used for prediction</td><td><code>null</code> or <code>1.5</code> or <code>60</code></td><td></td></tr><tr><td><code>minSpeed</code> *</td><td>Velocity [km/h] used for prediction</td><td><code>null</code> or <code>1.5</code> or <code>60</code></td><td></td></tr><tr><td><code>oldId</code></td><td>An old reference to the geo element</td><td><code>"cf31ed00-d2a1-47c3-8306-fd55b09a1bb0"</code> or <code>"_wi57w51ay"</code></td><td>12</td></tr><tr><td><code>createdAt</code></td><td>Timestamp of when the element was added to the event in RACEMAP</td><td><code>"2021-09-10T03:04:07.020Z"</code> or <code>null</code></td><td>13</td></tr><tr><td><code>updaterId</code></td><td>Id of the user that updated the elment latest</td><td><code>"c001cafe15abad1deabada55"</code></td><td>14</td></tr><tr><td><code>updatedAt</code></td><td>Timestamp of latest update of the element</td><td><code>"2023-05-02T17:50:54.304Z"</code></td><td>9</td></tr><tr><td><code>id</code></td><td>Unique id of geo lement</td><td><code>"64514d7ec3ab09659eb29e71"</code></td><td></td></tr></tbody></table>

#### Geometry object

<table><thead><tr><th width="193.1078876281131">Field</th><th width="250.35876426050012">Description [unit]</th><th>Sample</th></tr></thead><tbody><tr><td><code>type</code></td><td>Definition of the geo element</td><td><code>"LineString"</code> or <code>"Point"</code></td></tr></tbody></table>

#### Coordinates array

| Description \[unit]                             | Sample                                  |
| ----------------------------------------------- | --------------------------------------- |
| Longitude, latitude, hight above sea level \[m] | `[ 13.704979999999978, 51.02677, 165 ]` |

{% code expandable="true" %}

```javascript
{
  "type": "FeatureCollection",
  "features": [
    {
      "properties": {
        "racemapType": "track",
        "eventId": "61a2055b10cacc0001302283",
        "name": "Track 0",
        "color": "#32c4f7",
        "hidden": false,
        "creatorId": "51782b0cd37706937400000d",
        "length": 99.50403889646452,
        "pointCount": 1192,
        "oldId": "cf31ed00-d2a1-47c3-8306-fd55b09a1bb0",
        "createdAt": "2023-05-02T17:50:54.228Z",
        "updaterId": "c001cafe15abad1deabada55",
        "updatedAt": "2023-05-02T17:50:54.304Z"
      },
      "type": "Feature",
      "geometry": {
        "type": "LineString",
        "coordinates": [
          [13.704979999999978, 51.02677, 165],
          [13.705195019584863, 51.026764818805184, 164],
          [13.705694405424758, 51.02675278541145, 163],
          [13.705086448148332, 51.02636026141142, 173],
          [13.705079999999953, 51.02636, 173]
        ]
      },
      "id": "64514d7ec3ab09659eb29e71"
    },
    {
      "properties": {
        "racemapType": "split",
        "hidden": true,
        "eventId": "61a2055b10cacc0001302283",
        "name": "START",
        "shortName": "",
        "color": "#36739a",
        "icon": null,
        "resetSpeed": null,
        "minSpeed": 1.5,
        "maxSpeed": 60,
        "timekeeping": false,
        "readerIds": [ "Start01", "Start03" ],
        "newSport": "running",
        "lineStringId": "64514d7ec3ab09659eb29e71",
        "coordinateIndex": 0,
        "creatorId": "51782b0cd37706937400000d",
        "updaterId": "51782b0cd37706937400000d",
        "createdAt": "2023-05-02T17:50:54.446Z",
        "updatedAt": "2025-01-27T12:20:36.771Z",
        "offset": 0,
        "oldId": "_wi57w51ay"
      },
      "type": "Feature",
      "geometry": {
        "type": "Point",
        "coordinates": [13.704979999999978, 51.02677, 165]
      },
      "id": "64514d7ec3ab09659eb29e78"
    },
    {
      "properties": {
        "racemapType": "split",
        "hidden": true,
        "eventId": "61a2055b10cacc0001302283",
        "name": "ZIEL",
        "shortName": "",
        "color": "#ffffff",
        "icon": "https://static-cdn.racemap.com/img/map-icons/finish-01_borderless.svg",
        "timekeeping": false,
        "readerIds": [],
        "newSport": "",
        "lineStringId": "64514d7ec3ab09659eb29e71",
        "coordinateIndex": 1191,
        "creatorId": "51782b0cd37706937400000d",
        "updaterId": "c001cafe15abad1deabada55",
        "createdAt": "2023-05-02T17:50:54.551Z",
        "updatedAt": "2023-05-02T17:50:57.512Z",
        "offset": 99504.03889646452,
        "oldId": "_9q5ec0nno",
        "resetSpeed": null,
        "minSpeed": 1.5,
        "maxSpeed": 60
      },
      "type": "Feature",
      "geometry": {
        "type": "Point",
        "coordinates": [13.705079999999953, 51.02636, 173]
      },
      "id": "64514d7ec3ab09659eb29e93"
    },
    {
      "properties": {
        "racemapType": "split",
        "hidden": false,
        "eventId": "61a2055b10cacc0001302283",
        "name": "VP1",
        "shortName": "",
        "color": "#ffffff",
        "icon": "https://static-cdn.racemap.com/img/map-icons/refreshment-food_borderless.svg",
        "timekeeping": true,
        "newSport": "",
        "lineStringId": "64514d7ec3ab09659eb29e71",
        "coordinateIndex": 292,
        "creatorId": "51782b0cd37706937400000d",
        "oldId": "_okhk7667m",
        "readerIds": [],
        "updaterId": "c001cafe15abad1deabada55",
        "createdAt": "2023-05-02T17:50:56.269Z",
        "updatedAt": "2023-05-02T17:50:56.269Z",
        "offset": 19029.765609128855,
        "resetSpeed": null,
        "minSpeed": 1.5,
        "maxSpeed": 60
      },
      "type": "Feature",
      "geometry": {
        "type": "Point",
        "coordinates": [13.806170000000066, 50.93263999999999, 342]
      },
      "id": "64514d8010e583b28d736c7d"
    },
    {
      "properties": {
        "minSpeed": 0.1,
        "maxSpeed": 360,
        "racemapType": "poi",
        "hidden": false,
        "eventId": "61a2055b10cacc0001302283",
        "name": "Danger",
        "shortName": "",
        "color": "#36739a",
        "description": "",
        "icon": "https://static-cdn.racemap.com/img/map-icons/black-spot_borderless.svg",
        "creatorId": "51782b0cd37706937400000d",
        "oldId": "Danger",
        "readerIds": [],
        "updaterId": "c001cafe15abad1deabada55",
        "createdAt": "2023-05-02T17:50:57.589Z",
        "updatedAt": "2023-05-02T17:50:57.589Z"
      },
      "type": "Feature",
      "geometry": {
        "type": "Point",
        "coordinates": [13.605496742105894, 51.094757189936146, 106]
      },
      "id": "64514d811186e2e551ee4c69"
    }
  ]
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.racemap.com/api/geo-elements.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
